Summary: Graphical music notation program
Name: denemo
Version: 0.8.4
Release: 1%{?dist}
License: GPLv2
Group: Applications/Multimedia
Source: http://download.savannah.gnu.org/releases/denemo/%{name}-%{version}.tar.gz



URL: http://www.denemo.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: portaudio-devel aubio-devel gtk2-devel guile-devel
BuildRequires: gettext libxml2-devel fftw-devel desktop-file-utils
BuildRequires: libtool-ltdl-devel
BuildRequires: fontpackages-devel
BuildRequires: chrpath

Requires: bug-buddy timidity++
Requires: denemo-music-fonts

%package music-fonts
Summary:	Music notation fonts used in Denemo
Group:		Applications/Multimedia
License:	OFL
BuildArch:	noarch
Requires:	fontpackages-filesystem



%description
Denemo is a graphical music notation program written in C with
gtk+. As of April 2000, it is an official part of the GNU project
(http://www.gnu.org/)

It is intended to be used in conjunction with GNU Lilypond
(http://www.cs.uu.nl/hanwen/lilypond/), but is adaptable to other
computer-music-related purposes as well. 

%description music-fonts
This font set witten by Robert Allgeyer is the 2001 legacy version
of MusiSync. It is a musical notations font set which was reordered 
by Richard Shann for Denemo. 

This font set is used by Denemo.

%prep
%setup -q

%build
%configure 
make %{?_smp_mflags}
chrpath -d src/denemo
chrpath -d libsmf/smfsh

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install --vendor=""\
	--dir=%{buildroot}/%{_datadir}/applications\
	%{buildroot}/%{_datadir}/applications/denemo.desktop
%find_lang %{name}
install -m 0755 -d %{buildroot}%{_fontdir}

# move the location of the music font
mv fonts/LICENSE_OFL.txt LICENSE_OFL.txt
install -m 0644 -p fonts/*.ttf %{buildroot}%{_fontdir}
rm -rf %{buildroot}/%{_datadir}/fonts/truetype
# cleanup file wich should not be in tarfile
rm  %{buildroot}/%{_datadir}/denemo/actions/menus/ObjectMenu/Score/.EditProlog.swp


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_sysconfdir}/denemo
%dir %{_datadir}/denemo
%config(noreplace) %{_sysconfdir}/denemo/denemo.conf
%{_datadir}/denemo/
%{_datadir}/pixmaps/denemo.png
%{_datadir}/applications/denemo.desktop
%{_bindir}/denemo
%{_bindir}/smfsh
%doc COPYING README README.lilypond ChangeLog 




%_font_pkg -n music *.ttf
%doc LICENSE_OFL.txt
%dir %{_fontdir}




%changelog
* Sat May 30 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.4-1
-Update for Denemo release 0.8.4 
  fix fedora bugzilla 499692
  new features
	custom prolog
	tagged directives
	print preview pane
	genereal edit object action
	background printing

* Fri Feb 27 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.2-3
- font subpackage needs same version as main package, use noarch
 
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.2-1
-Update for Denemo release 0.8.2
	improve MIDI input
	more scripting support
	better menu organization
-Spec file fix unowned directories (Bugzilla 483337)

* Sat Jan 10 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.0-2
-Font split into seperate RPM package (Bugzilla 477375)

* Sun Nov 30 2008 Roy Rankin <rrankin@ihug.com.au> - 0.8.0-1
-Update for Denemo release 0.8.0

* Wed Sep 03 2008 Roy Rankin <rrankin@ihug.com.au> - 0.7.9-5
-Add Patches assert undo crash, un-needed messages on start up
* Mon Aug 18 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-4
-Simplify Requires
* Sat Aug 16 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-3
-Remove defines and fixup BuildRoot path
* Sun Aug  3 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-2
-Additional BuildRequires from Mock testing, 
 fixed desktop-file-install usage
* Fri Jul 25 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-1
-Update for 0.7.9 and Fedora 8
* Fri Dec 14 2001 Adam Tee <ajtee@ajtee.uklinux.net>
-Update for 0.5.8
* Sun Nov 12 2000 Matt Hiller <mhiller@pacbell.net>
- Update for 0.5.5
* Wed Jun 21 2000 Sourav K. Mandal <smandal@mit.edu>
- Initial release of RPM package
